package toml

import (
	"git.makaay.nl/mauricem/go-parsekit/parse"
)

var falseItem = newItem(tBoolean, false)
var trueItem = newItem(tBoolean, true)

// Booleans are just the tokens you're used to. Always lowercase.
func (t *parser) parseBoolean(p *parse.API) (*item, bool) {
	switch {
	case p.Accept(a.Str("true")):
		return trueItem, true
	case p.Accept(a.Str("false")):
		return falseItem, true
	default:
		p.Expected("true or false")
		return nil, false
	}
}
